Package org.drinkless.tdlib

# Class TdApi.BotMediaPreviewInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotMediaPreviewInfo

Enclosing class:
  `TdApi`

public static class TdApi.BotMediaPreviewInfo extends TdApi.Object
Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `languageCodes`
  List of language codes for which the bot has dedicated previews.
  `TdApi.BotMediaPreview[]`
  `previews`
  List of media previews.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotMediaPreviewInfo()`
  Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.
  `BotMediaPreviewInfo(TdApi.BotMediaPreview[] previews, String[] languageCodes)`
  Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### previews

    public TdApi.BotMediaPreview[] previews
    List of media previews.

  - ### languageCodes

    public String[] languageCodes
    List of language codes for which the bot has dedicated previews.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotMediaPreviewInfo

    public BotMediaPreviewInfo()
    Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.

  - ### BotMediaPreviewInfo

    public BotMediaPreviewInfo(TdApi.BotMediaPreview[] previews, String[] languageCodes)
    Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.
    Parameters:
      `previews` - List of media previews.
      `languageCodes` - List of language codes for which the bot has dedicated previews.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR